%global momorel 1

%{?!SDB:        %define SDB         1}
%{?!LIBBIND:    %define LIBBIND	    1}
%{?!efence:     %define efence      0}
%{?!test:       %define test        0}
%{?!WITH_DBUS:  %define WITH_DBUS   1} # + dynamic forwarder table management with D-BUS
%{?!bind_uid:   %define bind_uid   25}
%{?!bind_gid:   %define bind_gid   25}
%{?!selinux:	%define selinux     1}
%global		IDN		0
%global		bind_dir      /var/named
%global    	chroot_prefix %{bind_dir}/chroot
# Usage: export RPM='/usr/bin/rpmbuild --define "test 1"'; make $arch;

Summary: 	The Berkeley Internet Name Domain (BIND) DNS (Domain Name System) server.
Name: 		bind
License: 	Modified BSD
Version: 	9.4.2
Release: 	%{momorel}m%{?dist}
Url: 		http://www.isc.org/products/BIND/
Buildroot:	%{_tmppath}/%{name}-%{version}-root
Group: 		System Environment/Daemons

Source0: 	ftp://ftp.isc.org/isc/bind9/%{version}/bind-%{version}.tar.gz
NoSource: 0
Source1: 	named.sysconfig
Source2: 	named.init
Source3: 	named.logrotate
Source4: 	keygen.c
Source5: 	rfc1912.txt
Source6: 	bind-chroot.tar.bz2
Source7: 	bind-9.3.1rc1-sdb_tools-Makefile.in
Source8: 	http://www.venaas.no/ldap/bind-sdb/dnszone.schema
Source9: 	libbind-man.tar.gz
Source10: 	named-dbus.conf
Source11: 	named.service
Source12: 	README.sdb_pgsql
Source13: 	namedSetForwarders
Source14: 	namedGetForwarders
Source24:	Copyright.caching-nameserver
Source26: 	bind-chroot-admin.in
Source28:	libbind.pc
Source29:	named.conf.sample
Source32:	config-F7.tar
#
Patch0:  	bind-9.2.0rc3-varrun.patch
Patch1: 	bind-9.3.3rc2-rndckey.patch
Patch2: 	bind-9.3.1beta2-openssl-suffix.patch
Patch5: 	bind-nonexec.patch
Patch6: 	bind-9.2.2-nsl.patch
Patch10: 	bind-9.3.2b1-PIE.patch
Patch11: 	bind-9.3.2b2-sdbsrc.patch
Patch12: 	bind-9.3.1rc1-sdb.patch
Patch13: 	bind-9.3.1rc1-fix_libbind_includedir.patch
Patch16: 	bind-9.3.2-redhat_doc.patch
Patch17: 	bind-9.3.2b1-fix_sdb_ldap.patch
Patch22: 	bind-9.3.1-sdb_dbus.patch
Patch23: 	bind-9.3.1-dbus_archdep_libdir.patch
Patch32:	bind-9.3.2-prctl_set_dumpable.patch
Patch52:	bind-9.3.3-edns.patch
Patch62:        bind-9.4.0-sdb-sqlite-bld.patch
Patch63:	bind-9.4.0-dnssec-directory.patch
%if %{IDN}
Patch64:	bind-9.4.0-idnkit-autotools.patch
Patch65:	bind-9.4.0-dig-idn.patch
%endif
Patch66:	bind-9.4.0-zone-freeze.patch
Patch68:	bind-9.4.1-ldap-api.patch
Patch71:	bind-9.4-dbus.patch
Patch72:	bind-9.5-CVE-2008-0122.patch
#
Requires:	bind-libs = %{version}-%{release}, glibc  >= 2.2, mktemp
Requires(post): grep, chkconfig >= 1.3.26
Requires(pre): 	shadow-utils
Requires(preun):chkconfig >= 1.3.26
%if %{selinux}
Requires(post):	policycoreutils
%endif
BuildRequires: 	gcc, glibc-devel >= 2.2.5-26,  glibc-kernheaders >= 2.4-7.10, openssl-devel, libtool, autoconf, pkgconfig
%if %{SDB}
BuildRequires:  openldap-devel, postgresql-devel, sqlite-devel
%endif
%if %{WITH_DBUS}
BuildRequires:  dbus-devel
%endif
%if %{test}
BuildRequires:  net-tools, perl
%endif


%description
BIND (Berkeley Internet Name Domain) is an implementation of the DNS
(Domain Name System) protocols. BIND includes a DNS server (named),
which resolves host names to IP addresses; a resolver library
(routines for applications to use when interfacing with DNS); and
tools for verifying that the DNS server is operating properly.


%package  libs
Summary:  Libraries used by the BIND DNS packages
Group:    Applications/System
Obsoletes: bind-libbind-devel

%description libs
Contains libraries used by both the bind server package as well as the utils packages.


%package  utils
Summary:  Utilities for querying DNS name servers.
Group:    Applications/System
Requires: bind-libs = %{version}-%{release}
%if %{IDN}
Requires: bind-idnkit
%endif

%description utils
Bind-utils contains a collection of utilities for querying DNS (Domain
Name System) name servers to find out information about Internet
hosts. These tools will provide you with the IP addresses for given
host names, as well as other information about registered domains and
network addresses.

You should install bind-utils if you need to get information from DNS name
servers.


%package   devel
Summary:   Header files and libraries needed for BIND DNS development.
Group:     Development/Libraries
Requires:  bind-libs = %{version}-%{release}
Obsoletes: bind-libbind-devel

%description devel
The bind-devel package contains all the header files and libraries
required for development with ISC BIND 9 and BIND 8


%package -n caching-nameserver
Summary:   Default BIND configuration files for a caching nameserver
Group: 	   System Environment/Daemons
Obsoletes: bind-config
Provides:  bind-config
Requires:    bind = %{version}-%{release}
Requires(post):   grep
Requires(postun): grep
%if %{selinux}
Requires(post): policycoreutils
Conflicts: selinux-policy-strict < 2.2.0
Conflicts: selinux-policy-targeted < 2.2.0
%endif

%description -n caching-nameserver
The  caching-nameserver package includes the configuration files which will make
the ISC BIND named DNS name server act as a simple caching nameserver.
A caching nameserver is a DNS Resolver, as defined in RFC 1035, section 7.
ISC BIND named(8) provides a very efficient, flexible and robust resolver as
well as a server of authoritative DNS data - many users use this package
along with BIND to implement their primary system DNS resolver service.
If you would like to set up a caching name server, you'll need to install
bind, bind-libs, and bind-utils along with this package.
#'

%package   chroot
Summary:   A chroot runtime environment for the ISC BIND DNS server, named(8)
Group: 	   System Environment/Daemons
Prefix:    %{chroot_prefix}
Requires:    bind = %{version}-%{release}
Requires(post):  grep
Requires(preun): grep
%if %{selinux}
Requires(post): policycoreutils, libselinux
Requires(preun): libselinux
Conflicts: selinux-policy-strict < 2.2.0
Conflicts: selinux-policy-targeted < 2.2.0
%endif

%description chroot
This package contains a tree of files which can be used as a
chroot(2) jail for the named(8) program from the BIND package.
Based off code from Jan "Yenya" Kasprzak <kas@fi.muni.cz>

%if %{SDB}

%package sdb
Summary: The Berkeley Internet Name Domain (BIND) DNS (Domain Name System) server with database backends.
Group: System Environment/Daemons
Requires:   bind       = %{version}-%{release}
Requires: bind-utils = %{version}-%{release}
Requires(pre):    /etc/openldap/schema
Requires(post):   grep, mktemp
Requires(preun):  grep
%if %{selinux}
Requires(post): policycoreutils
Conflicts: selinux-policy-strict < 2.2.0
Conflicts: selinux-policy-targeted < 2.2.0
%endif

%description sdb
BIND (Berkeley Internet Name Domain) is an implementation of the DNS
(Domain Name System) protocols. BIND includes a DNS server (named),
which resolves host names to IP addresses; a resolver library
(routines for applications to use when interfacing with DNS); and
tools for verifying that the DNS server is operating properly.

BIND SDB (Simplified Database Backend) provides named_sdb, the DNS
name server compiled to include support for using alternative Zone Databases
stored in an LDAP server (ldapdb), a postgreSQL database (pgsqldb), an 
sqlite database (sqlitedb), or in the filesystem (dirdb), in addition 
to the standard in-memory RBT (Red Black Tree) zone database.

%endif

%if %{IDN}
%package idnkit
Summary: BIND's idn implementation libraries
Group: Applications/System

%description idnkit
BIND's idn implementation libraries
%endif
#'


%prep
%setup -q -n %{name}-%{version}
%patch -p1 -b .varrun
%patch1 -p1 -b .key
%patch2 -p1 -b .openssl_suffix
%patch5 -p1 -b .nonexec
%patch6 -p1 -b .nsl
%patch10 -p1 -b .PIE
%if %{SDB}
%patch11 -p1 -b .sdbsrc
# BUILD 'Simplified Database Backend' (SDB) version of named: named_sdb
cp -rfp bin/named bin/named_sdb
# SDB ldap
cp -fp contrib/sdb/ldap/ldapdb.[ch] bin/named_sdb
# SDB postgreSQL
cp -fp contrib/sdb/pgsql/pgsqldb.[ch] bin/named_sdb
# SDB sqlite
cp -fp contrib/sdb/sqlite/sqlitedb.[ch] bin/named_sdb
# SDB Berkeley DB - needs to be ported to DB4!
#cp -fp contrib/sdb/bdb/bdb.[ch] bin/named_sdb
# SDB dir
cp -fp contrib/sdb/dir/dirdb.[ch] bin/named_sdb
# SDB tools
mkdir -p bin/sdb_tools
cp -fp %{SOURCE7} bin/sdb_tools/Makefile.in
#cp -fp contrib/sdb/bdb/zone2bdb.c bin/sdb_tools
cp -fp contrib/sdb/ldap/{zone2ldap.1,zone2ldap.c} bin/sdb_tools
cp -fp contrib/sdb/pgsql/zonetodb.c bin/sdb_tools
cp -fp contrib/sdb/sqlite/zone2sqlite.c bin/sdb_tools
%patch12 -p1 -b .sdb
%patch68 -p1 -b .new-api
%endif
%if %{LIBBIND}
%patch13 -p1 -b .fix_libbind_includedir
%endif
%patch16 -p1 -b .redhat_doc
%if %{WITH_DBUS}
%patch71 -p1 -b .dbus
%if %{SDB}
%patch22 -p1 -b .sdb_dbus
%endif
%patch23 -p1 -b .dbus_archdep_libdir
%endif
%if %{SDB}
%patch17 -p1 -b .fix_sdb_ldap
%endif
%if %{WITH_DBUS}
#
# this must follow all dbus patches:
#
cp -fp contrib/dbus/{dbus_mgr.c,dbus_service.c} bin/named
cp -fp contrib/dbus/{dbus_mgr.h,dbus_service.h} bin/named/include/named
%if %{SDB}
cp -fp contrib/dbus/{dbus_mgr.c,dbus_service.c} bin/named_sdb
cp -fp contrib/dbus/{dbus_mgr.h,dbus_service.h} bin/named_sdb/include/named
cp -fp bin/named/{log.c,server.c} bin/named_sdb
cp -fp bin/named/include/named/{globals.h,server.h,log.h,types.h} bin/named_sdb/include/named
%endif
%endif
%patch32 -p1 -b .prctl_set_dumpable
%patch52 -p1 -b .edns
%if %{SDB}
%patch62 -p1 -b .sdb-sqlite-bld
%endif
%patch63 -p1 -b .directory
%if %{IDN}
pushd contrib/idn
%patch64 -p0 -b .autotools
popd
%patch65 -p1 -b .idn
%endif
%patch66 -p1 -b .freeze
%patch72 -p0 -b .CVE-2008-0122


%build
export CFLAGS="$RPM_OPT_FLAGS"

%if %{IDN}
pushd contrib/idn/idnkit-1.0-src
libtoolize --copy --force; aclocal; automake -a; autoconf
%configure
make %{?_smp_mflags}
popd
%endif

libtoolize --copy --force; aclocal; autoconf
cp -f /usr/share/libtool/config.{guess,sub} .
%if %{WITH_DBUS}
%ifarch s390x x86_64 ppc64
# every 64-bit arch EXCEPT ia64 has dbus architecture dependant
# includes in  /usr/lib64/dbus-1.0/include
export DBUS_ARCHDEP_LIBDIR=lib64
%endif
%endif
if pkg-config openssl ; then
	export CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
	export CPPFLAGS="$CPPFLAGS `pkg-config --cflags-only-I openssl`"
	export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi
%if %{efence}
export LDFLAGS=-lefence
%endif
%configure \
	--with-libtool \
	--localstatedir=/var \
	--enable-threads \
	--enable-ipv6 \
	--with-pic \
	--with-openssl=/usr \
%if %{LIBBIND}
	--enable-libbind \
%endif
%if %{IDN}
	--with-idn \
%endif
	--disable-openssl-version-check \
	CFLAGS="$CFLAGS" \
;
if [ -s openssl_config.h ]; then cat openssl_config.h >> config.h ; fi;
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}

%if %{IDN}
pushd contrib/idn/idnkit-1.0-src
make install DESTDIR=${RPM_BUILD_ROOT}
popd
%endif

cp  --preserve=timestamps %{SOURCE5} doc/rfc
gzip -9       doc/rfc/*
mkdir -p ${RPM_BUILD_ROOT}/etc/{init.d,logrotate.d}
mkdir -p ${RPM_BUILD_ROOT}/usr/{bin,lib,sbin,include}
mkdir -p ${RPM_BUILD_ROOT}/var/named
mkdir -p ${RPM_BUILD_ROOT}/var/named/slaves
mkdir -p ${RPM_BUILD_ROOT}/var/named/data
mkdir -p ${RPM_BUILD_ROOT}/var/named/dynamic
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/{man1,man5,man8}
mkdir -p ${RPM_BUILD_ROOT}/var/run/named
#chroot
mkdir -p ${RPM_BUILD_ROOT}/%{chroot_prefix}
tar --no-same-owner -jxvf %{SOURCE6} --directory ${RPM_BUILD_ROOT}/%{chroot_prefix}
# these are required to prevent them being erased during upgrade of previous
# versions that included them (bug #130121):
touch ${RPM_BUILD_ROOT}/%{chroot_prefix}/etc/named.conf
touch ${RPM_BUILD_ROOT}/%{chroot_prefix}/etc/named.rfc1912.zones
touch ${RPM_BUILD_ROOT}/%{chroot_prefix}/etc/rndc.key
touch ${RPM_BUILD_ROOT}/%{chroot_prefix}/dev/null
touch ${RPM_BUILD_ROOT}/%{chroot_prefix}/dev/random
touch ${RPM_BUILD_ROOT}/%{chroot_prefix}/dev/zero
#end chroot
make DESTDIR=${RPM_BUILD_ROOT} install
touch ${RPM_BUILD_ROOT}%{_sysconfdir}/rndc.conf
install -c -m 755 contrib/named-bootconf/named-bootconf.sh ${RPM_BUILD_ROOT}%{_sbindir}/named-bootconf
install -c -m 755 %SOURCE2 ${RPM_BUILD_ROOT}%{_initscriptdir}/named
install -c -m 644 %SOURCE3 ${RPM_BUILD_ROOT}/etc/logrotate.d/named
touch ${RPM_BUILD_ROOT}%{_sysconfdir}/rndc.key
%{__cc} $RPM_OPT_FLAGS -o ${RPM_BUILD_ROOT}%{_sbindir}/dns-keygen %{SOURCE4}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig
cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/named
%if %{SDB}
mkdir -p ${RPM_BUILD_ROOT}/etc/openldap/schema
install -c -m 644 %{SOURCE8} ${RPM_BUILD_ROOT}/etc/openldap/schema/dnszone.schema
cp -fp %{SOURCE12} contrib/sdb/pgsql/
%endif
%if %{LIBBIND}
gunzip < %{SOURCE9} | (cd ${RPM_BUILD_ROOT}/usr/share; tar -xpf -)
mkdir -p ${RPM_BUILD_ROOT}/%{_libdir}/pkgconfig
install -m 644 %{SOURCE28} $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libbind.pc
%endif
%if %{WITH_DBUS}
mkdir -p ${RPM_BUILD_ROOT}/etc/dbus-1/system.d
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/dbus-1/services
cp -fp %{SOURCE10} ${RPM_BUILD_ROOT}/etc/dbus-1/system.d/named.conf
cp -fp %{SOURCE11} ${RPM_BUILD_ROOT}%{_datadir}/dbus-1/services/named.service
cp -fp %{SOURCE13} ${RPM_BUILD_ROOT}%{_sbindir}/namedSetForwarders
cp -fp %{SOURCE14} ${RPM_BUILD_ROOT}%{_sbindir}/namedGetForwarders
%endif
%if %{test}
if [ "`whoami`" = 'root' ]; then
   set -e
   chmod -R a+rwX .
   pushd bin/tests
   pushd system
   ./ifconfig.sh up
   popd
   make test
   e=$?
   pushd system
   ./ifconfig.sh down
   popd
   popd
   if [ "$e" -ne 0 ]; then
      echo "ERROR: this build of BIND failed 'make test'. Aborting."
      exit $e;
   fi;
else
   echo 'test==1 : only root can run the tests (they require an ifconfig).';
fi
%endif
# Files required to run test-suite outside of build tree:
cp -fp config.h ${RPM_BUILD_ROOT}/%{_includedir}/bind9
cp -fp lib/dns/include/dns/forward.h ${RPM_BUILD_ROOT}/%{_includedir}/dns
cp -fp lib/isc/unix/include/isc/keyboard.h ${RPM_BUILD_ROOT}/%{_includedir}/isc
cp -fp lib/isc/include/isc/hash.h ${RPM_BUILD_ROOT}/%{_includedir}/isc
# Remove libtool .la files:
find ${RPM_BUILD_ROOT}/%{_libdir} -name '*.la' -exec '/bin/rm' '-f' '{}' ';';
# /usr/lib/rpm/brp-compress
#
# Ghost config files:
touch ${RPM_BUILD_ROOT}/etc/named.conf
# caching-nameserver files:
tar '-C' ${RPM_BUILD_ROOT} '-xf' %{SOURCE32}
for f in /etc/named.caching-nameserver.conf /etc/named.rfc1912.zones /var/named/{named.ca,named.localhost,named.empty,named.loopback}; do
    touch ${RPM_BUILD_ROOT}/%{chroot_prefix}/$f;
done
install -m 644 %{SOURCE5}  ./rfc1912.txt
install -m 644 %{SOURCE24} ./Copyright
# bind-chroot-admin script:
sed -e 's^@BIND_CHROOT_PREFIX@^'%{chroot_prefix}'^;s^@BIND_DIR@^'%{bind_dir}'^' < %{SOURCE26} > bind-chroot-admin;
install -m 754 bind-chroot-admin ${RPM_BUILD_ROOT}/%{_sbindir}
# sample bind configuration files for %doc:
mkdir -p sample/{etc,var/named/{data,slaves}}
for f in ${RPM_BUILD_ROOT}{/etc/named.rfc1912.zones,/var/named/{named.ca,named.localhost,named.empty,named.loopback}}; do
    cp -fp $f sample;
done
cp -fp %{SOURCE29} sample/etc/named.conf
for f in my.internal.zone.db slaves/my.slave.internal.zone.db slaves/my.ddns.internal.zone.db my.external.zone.db; do 
  echo '@ in soa localhost. root 1 3H 15M 1W 1D
  ns localhost.' >  sample/var/named/$f; 
done
/usr/bin/tail -n '+'`/bin/egrep -n '\\$Id: rndc.conf,v' bin/rndc/rndc.conf | sed 's/:.*$/+1/' | bc` bin/rndc/rndc.conf | sed '/Sample rndc configuration file./{p;i\
 *\
 * NOTE: you only need to create this file if it is to\
 * differ from the following default contents:
;d}' >  sample/etc/rndc.conf;
#
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir}/lib*so.*
:;

%pre
if [ "$1" -eq 1 ]; then
   /usr/sbin/groupadd -g %{bind_gid} -f -r named >/dev/null 2>&1 || :;
   /usr/sbin/useradd  -u %{bind_uid} -r -n -M -g named -s /sbin/nologin -d /var/named -c Named named >/dev/null 2>&1 || :;
fi;
:;

%post
/sbin/ldconfig
/sbin/chkconfig --add named
if [ "$1" -eq 1 ]; then
	# no more named.boot autoconversion! No-one should be using BIND-4 anymore.
	if [ ! -e /etc/rndc.key ]; then
	# create the rndc.key file:
	   echo 'key "rndckey" {
	algorithm	hmac-md5;
	secret		"'`/usr/sbin/dns-keygen`'";
};'  >     /etc/rndc.key;
	elif /bin/egrep -q '@KEY@' /etc/rndc.key; then
	   # fix potential problem with older versions
	   /bin/sed -i -e 's^@KEY@^'`/usr/sbin/dns-keygen`'^' /etc/rndc.key ;
	fi
	# rndc.key has to have correct perms and ownership, CVE-2007-6283
	[ -e /etc/rndc.key ] && chown root:named /etc/rndc.key
	[ -e /etc/rndc.key ] && chmod 0640 /etc/rndc.key
%if %{selinux}
        [ -e /selinux/enforce ] && [ -x /sbin/restorecon ] && /sbin/restorecon /etc/rndc.* /etc/named.* >/dev/null 2>&1 ;
%endif
fi
:;

%preun
if [ "$1" = 0 ]; then
   /sbin/service named stop >/dev/null 2>&1 || :;
   /sbin/chkconfig --del named || :;
fi
:;

%postun
/sbin/ldconfig
if [ "$1" -ge 1 ]; then
   /sbin/service named condrestart >/dev/null 2>&1 || :;
fi;
:;

%triggerpostun -- bind < 8.2.2_P5-15
/sbin/chkconfig --add named
/sbin/ldconfig
:;

%triggerpostun -n bind -- bind <= 24:9.3.1-11
if [ "$1" -gt 0 ]; then
# bind <= 22:9.3.0-2:
# These versions of bind installed named service at order 55 in
# runlevel startup order, after programs like  nis / ntp / nfs
# which may need its services if using no nameservers in resolv.conf.
# bind <= 24:9.3.1-11:
# These versions ran bind with order 11 in runlevel 2, after syslog
# at order 12 . BIND should run after syslog and now has order '- 13 87'.
#
    /sbin/chkconfig named resetpriorities
fi
:;

%triggerpostun -n bind -- bind <= 31:9.4.2-2
if [ "$1" -gt 0 ]; then
	[ -e /etc/rndc.key ] && chown root:named /etc/rndc.key
	[ -e /etc/rndc.key ] && chmod 0640 /etc/rndc.key
fi
:;

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%post -n caching-nameserver
if [ "$1" -gt 0 ]; then
   /sbin/restorecon /etc/named.caching-nameserver.conf >/dev/null 2>&1 || :;
   /sbin/restorecon /etc/named.rfc1912.zones >/dev/null 2>&1 || :;
   if [ -x /usr/sbin/bind-chroot-admin ]; then
       /usr/sbin/bind-chroot-admin --sync;
   fi;
fi;
:;


%post chroot
if [ "$1" -gt 0 ]; then
   /usr/sbin/bind-chroot-admin --enable > /dev/null 2>&1;
fi;
:;

%preun chroot
if [ "$1" -eq 0 ]; then
   /usr/sbin/bind-chroot-admin --disable > /dev/null 2>&1;
fi
:;

%if %{SDB}

%post sdb
if [ "$1" -ge 1 ]; then
   # check that dnszone.schema is installed in OpenLDAP's slapd.conf
   if [ -x /usr/sbin/named_sdb ] && [ -f /etc/openldap/slapd.conf ]; then
   # include the LDAP dnszone.schema in slapd.conf:
      if ! /bin/egrep -q '^include.*\dnszone.schema' /etc/openldap/slapd.conf; then
         tf=`/bin/mktemp /tmp/XXXXXX`
         let n=`/bin/grep -n '^include.*\.schema' /etc/openldap/slapd.conf | /usr/bin/tail -1 | /bin/sed 's/:.*//'`
         if [ "$n" -gt 0 ]; then
   	    /bin/cp -fp /etc/openldap/slapd.conf /etc/openldap/slapd.conf.rpmsave;
	    /usr/bin/head -$n /etc/openldap/slapd.conf > $tf
            echo 'include         /etc/openldap/schema/dnszone.schema' >> $tf
            let n='n+1'
            /usr/bin/tail -n +$n /etc/openldap/slapd.conf >> $tf
            /bin/mv -f $tf /etc/openldap/slapd.conf;
            /bin/chmod --reference=/etc/openldap/slapd.conf.rpmsave /etc/openldap/slapd.conf
            [ -e /selinux/enforce ] && [ -x /sbin/restorecon ] && /sbin/restorecon /etc/openldap/slapd.conf >/dev/null 2>&1 || :;
            [ -x /etc/init.d/ldap ] && /etc/init.d/ldap condrestart >/dev/null 2>&1
         fi
         rm -f $tf >/dev/null 2>&1 || :;
      fi;
   fi;
fi;
:;

%preun sdb
if [ "$1" -eq 0 ] && [ -x /usr/sbin/named_sdb ] && [ -f /etc/openldap/slapd.conf ]; then
   if /bin/egrep -q '^include.*\dnszone.schema' /etc/openldap/slapd.conf; then
      tf=`/bin/mktemp /tmp/XXXXXX`
      /bin/egrep -v '^include.*dnszone\.schema' /etc/openldap/slapd.conf > $tf
      /bin/mv -f $tf /etc/openldap/slapd.conf;
      rm -f $tf >/dev/null 2>&1
      [ -e /selinux/enforce ] && [ -x /sbin/restorecon ] && /sbin/restorecon /etc/openldap/slapd.conf >/dev/null 2>&1 || :;
      [ -x /etc/init.d/ldap ] && /etc/init.d/ldap condrestart >/dev/null 2>&1 || :;
   fi;
fi;
:;

%endif # SDB

%clean
rm -rf ${RPM_BUILD_ROOT}
:;


%files
%defattr(0640,root,named,0750)
%dir /var/named
%defattr(0660,named,named,0770)
%dir /var/named/slaves
%dir /var/named/dynamic
%dir /var/named/data
%dir /var/run/named
%defattr(0754,root,root,0750)
%config %{_initscriptdir}/named
%defattr(0640,root,named,0750)
%config(noreplace) /etc/sysconfig/named
%ghost %config(noreplace) /etc/rndc.key
# ^- rndc.key now created on first install only if it does not exist
# %verify(not size,not md5) %config(noreplace) %attr(0640,root,named) /etc/rndc.conf
# ^- Let the named internal default rndc.conf be used -
#    rndc.conf not required unless it differs from default.
%ghost %config(noreplace) /etc/named.conf
# ^- Ensure something owns named.conf, even though it may not be installed at all
%ghost %config(noreplace) /etc/rndc.conf
# ^- The default rndc.conf which uses rndc.key is in named's default internal config -
#    so rndc.conf is not necessary.
%config(noreplace) /etc/logrotate.d/named
%defattr(-,root,root)
%{_sbindir}/dnssec*
%{_sbindir}/named-check*
%{_sbindir}/dns-keygen
%defattr(0750,root,root,0755)
%{_sbindir}/lwresd
%{_sbindir}/named
%{_sbindir}/named-bootconf
%{_sbindir}/rndc*
%{_sbindir}/named-compilezone
%defattr(0644,root,root,0755)
%{_mandir}/man5/named.conf.5*
%{_mandir}/man5/rndc.conf.5*
%{_mandir}/man8/rndc.8*
%{_mandir}/man8/named.8*
%{_mandir}/man8/lwresd.8*
%{_mandir}/man8/dnssec*.8*
%{_mandir}/man8/named-checkconf.8*
%{_mandir}/man8/named-checkzone.8*
%{_mandir}/man8/named-compilezone.8*
%{_mandir}/man8/rndc-confgen.8*
%doc CHANGES COPYRIGHT README
%doc doc/arm doc/misc
%doc sample/
%if %{WITH_DBUS}
%doc contrib/dbus/README.DBUS
%attr(644,root,root) %config /etc/dbus-1/system.d/named.conf
%attr(644,root,root) %config /usr/share/dbus-1/services/named.service
%attr(750,root,root) %{_sbindir}/namedGetForwarders
%attr(750,root,root) %{_sbindir}/namedSetForwarders
%endif

%files libs
%defattr(-,root,root,0755)
%{_libdir}/*so.*

%files utils
%defattr(0755,root,root,0755)
%{_bindir}/dig
%{_bindir}/host
%{_bindir}/nslookup
%{_bindir}/nsupdate
%defattr(0644,root,root,0755)
%{_mandir}/man1/host.1*
%{_mandir}/man8/nsupdate.8*
%{_mandir}/man1/dig.1*
%{_mandir}/man1/nslookup.1*

%files devel
%defattr(-,root,root,0755)
%{_libdir}/libbind9.a
%{_libdir}/libdns.a
%{_libdir}/libisc.a
%{_libdir}/libisccc.a
%{_libdir}/libisccfg.a
%{_libdir}/liblwres.a
%{_libdir}/*so
%{_includedir}/bind9
%{_includedir}/dns
%{_includedir}/dst
%{_includedir}/isc
%{_includedir}/isccc
%{_includedir}/isccfg
%{_includedir}/lwres
%{_mandir}/man3/lwres*
%{_bindir}/isc-config.sh
%doc doc/draft doc/rfc
%if %{LIBBIND}
%{_libdir}/libbind.a
%{_libdir}/pkgconfig/libbind.pc
%{_includedir}/bind
%{_mandir}/man3/libbind-*
%{_mandir}/man7/libbind-*
%{_mandir}/man5/libbind-*
%endif

%files -n caching-nameserver
%defattr(0640,root,named,0750)
%config %verify(not link) /etc/named.caching-nameserver.conf
%config %verify(not link) /etc/named.rfc1912.zones
%ghost %config(noreplace) /etc/named.conf
%ghost %config(noreplace) %{chroot_prefix}/etc/named.conf
%config %verify(not link) /var/named/named.ca
%config %verify(not link) /var/named/named.localhost
%config %verify(not link) /var/named/named.loopback
%config %verify(not link) /var/named/named.empty
%defattr(0644,root,root,0755)
%doc Copyright
%doc rfc1912.txt

%files chroot
%defattr(0640,root,named,0750)
%dir %prefix
%dir %prefix/dev
%dir %prefix/etc
%dir %prefix/var
%dir  %prefix/var/run
%dir  %prefix/var/named
%ghost %config(noreplace) %prefix/etc/named.conf
%ghost %config(noreplace) %prefix/etc/named.caching-nameserver.conf
%ghost %config(noreplace) %prefix/etc/rndc.key
%ghost %config %{chroot_prefix}/etc/named.caching-nameserver.conf
%ghost %config %{chroot_prefix}/etc/named.rfc1912.zones
%ghost %config %{chroot_prefix}/var/named/named.ca
%ghost %config %{chroot_prefix}/var/named/named.localhost
%ghost %config %{chroot_prefix}/var/named/named.loopback
%ghost %config %{chroot_prefix}/var/named/named.empty
%defattr(0660,named,named,0770)
%dir %prefix/var/named/slaves
%dir %prefix/var/named/data
%dir %prefix/var/named/dynamic
%dir %prefix/var/run/named
%dir %prefix/var/tmp
%ghost %prefix/dev/null
%ghost %prefix/dev/random
%ghost %prefix/dev/zero
%defattr(0750,root,root,0755)
%{_sbindir}/bind-chroot-admin

%if %{SDB}

%files sdb
%defattr(0750,root,named,0755)
%{_sbindir}/named_sdb
%{_sbindir}/zone2ldap
%{_sbindir}/ldap2zone
%{_sbindir}/zonetodb
%{_sbindir}/zone2sqlite
%defattr(0644,root,root,0755)
%config(noreplace) /etc/openldap/schema/dnszone.schema
%defattr(0644,root,named,0755)
%{_mandir}/man1/zone2ldap.1*
%doc contrib/sdb/ldap/README.ldap contrib/sdb/ldap/INSTALL.ldap contrib/sdb/pgsql/README.sdb_pgsql

%endif

%if %{IDN}
%files idnkit
%defattr(-,root,root,0755)
%{_includedir}/idn/*
%{_libdir}/libidnkit.a
%{_libdir}/libidnkitlite.a
%{_mandir}/man1/idnconv.1.gz
%{_mandir}/man3/libidnkit.3.gz
%{_mandir}/man3/libidnkitlite.3.gz
%{_mandir}/man5/idn.conf.5.gz
%{_mandir}/man5/idnalias.conf.5.gz
%{_mandir}/man5/idnrc.5.gz
%{_datadir}/idnkit/jp.map
%{_bindir}/idnconv
%config /etc/idn.conf
%config /etc/idnalias.conf
%endif

%changelog
* Sun Jan 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.4.2-1m)
- [SECURITY] CVE-2008-0122
- update to 9.4.2
- merge Fedora7 bind-9.4.2-3 patches

* Tue Jul 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.4.1_P1-1m)
- [SECURITY] update to 9.4.1-P1

* Mon Jul 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (9.4.1-2m)
- move start up script from %%{_initrddir} to %%{_initscriptdir}

* Tue May  1 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.4.1-1m)
- update to 9.4.1
- [SECURITY] CVE-2007-2241
- http://marc.info/?l=bind-announce&m=117798912418849&w=2
- http://www.isc.org/sw/bind/bind-security.php

* Mon Mar 12 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.4.0-5m)
- fix conflict files in %%files section

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (9.4.0-4m)
- modify Requires for mph-get-check

* Sun Mar 11 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.4.0-3m)
- add BuildRequires:  openldap-devel, postgresql-devel >= 8.2.3-1m

* Fri Mar  9 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.4.0-2m)
- rebuild against postgresql-8.2.3
  - delete Patch100: bind-9.4.0-libpq-fe.h.patch revert Patch11 header file changes patch

* Fri Mar  9 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.4.0-1m)
- update 9.4.0
- merge fc-9.4.0-1
- - add Source16 .. Source31
- - delete Patch7 .. Patch9
- - replace Patch15
- - delete Patch18 .. Patch21
- - delete Patch24 .. Patch28
- - add Patch32, Patch52
- - changelog is below
- - * Tue Mar 06 2007 Adam Tkac <atkac@redhat.com> 31:9.4.0-1.fc7
- - - updated to 9.4.0
- - - bind-chroot-admin now sets EAs correctly (#213926)
- - - throw away next_server_on_referral and no_servfail_stops patches (fixed in 9.4.0)
- add Patch100: bind-9.4.0-libpq-fe.h.patch revert Patch11 header file changes patch

* Thu Jan 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.3.4-1m)
- [SECURITY] update to 9.3.4

* Mon Dec 11 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.3.3-1m)
- update to 9.3.3
- update Patch1: bind-9.3.3-rndckey.patch

* Wed Sep  5 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.3.2_P1-1m)
- update to 9.3.2-P1

* Sat Sep  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (9.3.2-7m)
- rebuild against dbus-0.92

* Wed Jun  7 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (9.3.2-6m)
- revise %%files to avoid conflicting

* Tue May 30 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (9.3.2-5m)
- add user/group named

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (9.3.2-4m)
- rebuild against openssl-0.9.8a

* Sat Jan 14 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (9.3.2-3m)
- rebuild against openldap-2.3.11

* Wed Jan 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (9.3.2-2m)
- remove Requires: /bin/usleep again for mph-get-check
- add Requires: initscripts

* Tue Jan 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (9.3.2-1m)
- update to 9.3.2
- sync with fc-devel

* Sat Mar 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.2.5-1m)
- update to 9.2.5
- correct named.conf.5 is install into man5, now

* Mon Oct 18 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.2.4-2m)
- set specopt
- set _ipv6=1

* Thu Sep 23 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.2.4-1m)
- update to 9.2.4
- comment out tar xjf %%{SOURCE1}
- comment out %%{_mandir}/man8/nslookup.8*
- comment out %%{_mandir}/man5/resolver.5*
- comment out %%{_mandir}/man5/resolv.conf.5*
- comment out %%{_mandir}/man5/named.conf.5*
- add %%{_mandir}/man1/nslookup.1*
- move named.conf.5 from man8 to man5
- readd %%{_mandir}/man5/named.conf.5*

* Sat Aug 21 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (9.2.3-5m)
- correct License tag

* Fri Jul  9 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.2.3-4m)
- add BuildRequires: momonga-rpmmacros >= 20040310-6m

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2.3-3m)
- revised spec for enabling rpm 4.2.

* Sun Oct 26 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (9.2.3-2m)
- move *.so to bind-devel
- add REMOVEME.bind-devel

* Sat Oct 25 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.2.3-1m)
- update to 9.2.3

* Sat Oct 11 2003 Kimitake SHIBATA <siva@momonga-linux.org>
- (9.2.2-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed Mar  5 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (9.2.2-2m)
  rebuild against openssl 0.9.7a

* Thu Mar  4 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (9.2.2-1m)
- upgrade 9.2.2

* Sat Oct 26 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (9.2.1-8m)
- use gcc instead of gcc_2_95_3

* Fri Sep 13 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (9.2.1-7m)
- remove Requires: /bin/usleep
- add Requires: initscripts

* Sat Aug 17 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (9.2.1-6m)
- fix resolver buffer overflow (add bind-9.2.1-overflow.patch)
  Ref. http://www.kb.cert.org/vuls/id/803539
       http://rhn.redhat.com/errata/RHSA-2002-133.html

* Sun Jul 20 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (9.2.1-5m)
- Fix a logrotate bug reported by Shunji Tanaka.

* Fri Jun  7 2002 Masahiro Takahata <takahata@kondara.org>
- (9.2.1-4k)
- modified configure option

* Fri Jun  7 2002 Masahiro Takahata <takahata@kondara.org>
- (9.2.1-2k)
- upgrade to bind-9.2.1

* Thu May  9 2002 Toru Hoshina <t@kondara.org>
- (9.1.3-10k)
- rebuild against glibc 2.2.5, sumaso!

* Sat Dec  1 2001 Toru Hoshina <t@kondara.org>
- (9.1.3-8k)
- add rndc.key

* Sun Nov  4 2001 Toru Hoshina <t@kondara.org>
- (9.1.3-6k)
- rebuild against new environment. because gcc 2.95.3 doesn't recognize
  -fno-merge-constants, use gcc_2_95_3 instead of gcc -V 2.95.3.

* Fri Oct 19 2001 Toru Hoshina <t@kondara.org
- (9.1.3-4k)
- avoid conflict with dhcp 3.0, /usr/lib/libomapi.* was removed.

* Wed Jul  4 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (9.1.3-2k)
- update to bind 9.1.3 maintenance release.
- remove bind-9.1.0-ttl.patch (already fixed)

* Fri May 25 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (9.1.2-8k)
- fixed %pre script
- fixed named.init  (status named)
-  thanks to SEKINE Tatsuo.

* Sat May 19 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (9.1.2-6k)
- merge rawhide.
- fix %postun  named "cond-restart" to "condrestart"
- fix using rndc that obsoletes ndc 
- change pid file /var/run/named/pid to /var/run/named/named.pid and
-   /var/run/lwresd/pid to /var/run/named/lwresd.pid
- add rndc.conf and named.conf sample for "rndc"
- obsolete caching-nameserver

* Tue May  8 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (9.1.2-4k)
- add "textutils, fileutils" to Prereq: 

* Sun May  6 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (9.1.2-2k)
- update to bind 9.1.2 (maintenance release)

* Wed Apr 25 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (9.1.1-8k)
- move files /usr/lib/*.so* to bind-utils, and /usr/lib*.a to bind-devel
- bind-devel requires bind, bind requires bind-utils
- fix %postun  named "condrestart" to "cond-restart"
- fix %preun  script error at rpm -e bind
- comment out userdel/groupdel

* Mon Apr 23 2001 Toru Hoshina <t@kondara.org>
- (9.1.1-6k)
- force use gcc-2.95.3
- cancel to down optimize level (9.1.1-4k)

* Mon Apr 23 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (9.1.1-4k)
- Down optimize level (-O6 to -O2) against Mary.
- append --with-libtool --enable-threads

* Sun Apr 22 2001 Motonobu Ichimura <famao@kondara.org>
- (9.1.1-2k)
- up to 9.1.1

* Wed Apr 18 2001 Motonobu Ichimura <famao@kondara.org>
- (9.1.0-14k)
- brush-up spec file
- now all man pages are include.
- move isc-config.sh from utils to devel package
- added --with-openssl option to use system's one

* Tue Apr 17 2001 HOSONO Hidetomo <h@kondara.org>
- (9.1.0-12k)
- add a configure script option: --localstatedir=/var
- add bind.named.pid.patch
- make directories owned named.named: /var/run/{named,lwresd}

* Sat Apr 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (9.1.0-10k)
- add shadow-utils to PreReq tag

* Fri Apr 13 2001 Shingo Akagaki <dora@kondara.org>
- /etc/rc.d/init.d -> /etc/init.d

* Mon Mar 26 2001 Toru Hoshina <toru@df-usa.com>
- (9.1.0-7k)
- rebuild against glibc-2.2.2 and add bind.glibc222.time.patch

* Thu Mar 22 2001 Motonobu Ichimura <famao@kondara.org>
- (9.1.0-5k)
- translate /usr/local/bin/perl -> /usr/bin/perl
- yes. another bug is needed to be fixed. (#867)

* Sun Feb 11 2001 Kusunoki Masanori <nori@kondara.org>
- (9.1.0-3k)
- up to 9.1.0

* Sat Feb  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (9.00-7k)
- rebuild againt rpm-3.0.5-39k

* Tue Nov 28 2000 Toru Hoshina <toru@df-usa.com>
- use _initscriptdir macro to keep backword compatibility.

* Tue Sep 26 2000 KUSUNOKI Masanori <nori@kondara.org>
- Version up to 9.0.0.

* Fri Aug 11 2000 AYUHANA Tomonori <l@kondara.org>
- (9.0.0rc1-3k)
- add --enable-ipv6 at %configure
- include nslookup

* Tue Jul 29 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (9.0.0rc1-2k)
- fix version suffix for Kondara RPM Guidance

* Tue Jul 18 2000 KUSUNOKI Masanori <nori@kondara.org>
- updated to 9.0.0rc1

* Sun Jul 16 2000 AYUHANA Tomonori <l@kondara.org>
- (8.2.2pl5-19k)
- change dir /etc/init.d/named -> /etc/rc.d/init.d/named
- fix not generate named.conf (named-bootconf.pl is missing)
- change %triggerpostun

* Sat Jul  8 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Fri Jun 30 2000 Trond Eivind Glomsr?<teg@redhat.com>
- fix the init script

* Wed Jun 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- make libbind.a and nslookup.help readable again by setting INSTALL_LIB to ""

* Mon Jun 26 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix up the initscript (Bug #13033)
- Fix build with current glibc (Bug #12755)
- /etc/rc.d/init.d -> /etc/init.d
- use %%{_mandir} rather than /usr/share/man

* Mon Jun 19 2000 Bill Nottingham <notting@redhat.com>
- fix conflict with man-pages
- remove compatibilty chkconfig links
- initscript munging

* Wed Jun 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify logrotate setup to use PID file
- temporarily disable optimization by unsetting %{optflags} at build-time
- actually bump the release this time

* Sat Jun 10 2000 Takaaaki Tabuchi <tab@kondara.org>
- (8.2.2pl5-2k)
- rewrite spec file by based on Kondara's spec file
- version change P5 to pl5

* Sat Jun 10 2000 Takaaaki Tabuchi <tab@kondara.org>
- merge rawhide 8.2.2_P5-11 (patch{5,6,7})
- make /var/named owned by named.named
- gziped man
- add resolv.conf.5*

* Thu Jun  8 2000 AYUHANA Tomonori <l@kondara.org>
- /var/named - nobody:nobody

* Tue Jun  6 2000 AYUHANA Tomonori <l@kondara.org>
- change running named by root:root -> nobody:nobody

* Sun Jun  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- FHS compliance

* Mon Apr 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- clean up restart patch

* Mon Apr 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- provide /var/named (fix for bugs #9847, #10205)
- preserve args when restarted via ndc(8) (bug #10227)
- make resolv.conf(5) a link to resolver(5) (bug #10245)
- fix SYSTYPE bug in all makefiles
- move creation of named user from %%post into %%pre

* Mon Feb 28 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix TTL (patch from ISC, Bug #9820)

* Wed Feb 16 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- fix typo in spec (it's %post, without a leading blank) introduced in -6
- change SYSTYPE to linux

* Sat Feb 11 2000 Bill Nottingham <notting@redhat.com>
- pick a standard < 100 uid/gid for named

* Thu Feb 04 2000 Elliot Lee <sopwith@redhat.com>
- Pass named a '-u named' parameter by default, and add/remove user.

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix host mx bug (Bug #9021)

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies
- man pages are compressed

* Wed Jan 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- It's /usr/bin/killall, not /usr/sbin/killall (Bug #8063)

* Mon Jan 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up location of named-bootconf.pl and make it executable
  (Bug #8028)
- bind-devel requires bind

* Mon Nov 15 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- update to 8.2.2-P5

* Wed Nov 10 1999 Bill Nottingham <notting@redhat.com>
- update to 8.2.2-P3

* Tue Oct 12 1999 Cristian Gafton <gafton@redhat.com>
- add patch to stop a cache only server from complaining about lame servers
  on every request.

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- use real stop and start in named.init for restart, not ndc restart, it has
  problems when named has changed during a package update... (# 4890)

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Mon Jul 26 1999 Bill Nottingham <notting@redhat.com>
- fix installed chkconfig links to match init file

* Sat Jul  3 1999 Jeff Johnson <jbj@redhat.com>
- conflict with new (in man-1.24) man pages (#3876,#3877).

* Tue Jun 29 1999 Bill Nottingham <notting@redhat.com>
- fix named.logrotate (wrong %SOURCE)

* Fri Jun 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 8.2.1.
- add named.logrotate (#3571).
- hack around egcs-1.1.2 -m486 bug (#3413, #3485).
- vet file list.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- don't run by default

* Sun May 30 1999 Jeff Johnson <jbj@redhat.com>
- nslookup fixes (#2463).
- missing files (#3152).

* Sat May  1 1999 Stepan Kasal <kasal@math.cas.cz>
- nslookup patched:
  to count numRecords properly
  to fix subsequent calls to ls -d
  to parse "view" and "finger" commands properly
  the view hack updated for bind-8 (using sed)

* Wed Mar 31 1999 Bill Nottingham <notting@redhat.com>
- add ISC patch
- add quick hack to make host not crash
- add more docs

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- add probing information in the init file to keep linuxconf happy
- dont strip libbind

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- removed 'done' output at named shutdown.

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- version 8.2

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- patch to use the __FDS_BITS macro
- build for glibc 2.1

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- change named.restart to /usr/sbin/ndc restart

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- install man pages correctly.
- change K10named to K45named.

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- don't start if /etc/named.conf doesn't exist.

* Sat Aug  8 1998 Jeff Johnson <jbj@redhat.com>
- autmagically create /etc/named.conf from /etc/named.boot in %post
- remove echo in %post

* Wed Jun 10 1998 Jeff Johnson <jbj@redhat.com>
- merge in 5.1 mods

* Sun Apr 12 1998 Manuel J. Galan <manolow@step.es>
- Several essential modifications to build and install correctly.
- Modified 'ndc' to avoid deprecated use of '-'

* Mon Dec 22 1997 Scott Lampert <fortunato@heavymetal.org>
- Used buildroot
- patched bin/named/ns_udp.c to use <libelf/nlist.h> for include
  on Redhat 5.0 instead of <nlist.h>

